package org.example.perelloo_final;

import android.content.ContentValues;
import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.database.sqlite.SQLiteOpenHelper;
import android.text.format.DateFormat;
import android.util.Log;

import java.util.GregorianCalendar;

/**
 * Created by Potinara on 25/10/2015.
 */
// sqlite browser
public class DB_CategoriaHobby extends SQLiteOpenHelper {

    public DB_CategoriaHobby(Context contexto) {
        super(contexto,"HobbyGift.db", null,1);
    }

    public void onCreate(SQLiteDatabase db) {
        Log.d("KKK create", "create");
        // para usar con cursor debe existir _id
        db.execSQL("CREATE TABLE categorias (_id INTEGER PRIMARY KEY AUTOINCREMENT, categoriaFoto TEXT, categoriaDesc TEXT)");
        db.execSQL("CREATE TABLE subcategoria (_id INTEGER PRIMARY KEY AUTOINCREMENT , categoriaID LONG, subFoto TEXT,subDesc TEXT)");
        db.execSQL("CREATE TABLE dirinternet (_id INTEGER PRIMARY KEY AUTOINCREMENT, subcategoriaID LONG, dirLogo TEXT, dirTexto TEXT, dirURI TEXT)");
        db.execSQL("CREATE TABLE amigos (_id INTEGER PRIMARY KEY AUTOINCREMENT, amigoNombre TEXT, amigoFECHA TEXT, amigoCategoria LONG, amigoSubcategoria LONG)");
        db.execSQL("CREATE TABLE locales (_id INTEGER PRIMARY KEY AUTOINCREMENT, localCiudad TEXT, localNombre TEXT, localDesc FECHA TEXT, localLat REAL, localLng REAL)");

        inicialCategorias(db);
    }

    public void onUpgrade(SQLiteDatabase db, int oldVersion, int newVersion) {
//
    }

    public void inicialCategorias(SQLiteDatabase db) {
        Long ret;
        Long rets;
        Long retdi;
        Long icami;
        ret = ic(db, "artesanias", "Artesanias");
        rets = ics(db, ret, "artesaniabarro", "Manualidad con barro");
        rets = ics(db, ret, "artesanias_collares", "Hacer collares");
        ret = ic(db, "bailar", "Bailar");
        rets = ics(db, ret, "bailarlibre", "Estilo libre");
        rets = ics(db, ret, "bailartango", "Tango");
        ret = ic(db, "catador", "Sommelier");
        rets = ics(db, ret, "te", "Te");
        rets = ics(db, ret, "vino", "Vino");
        rets = ics(db, ret, "cafe", "Café");
        ret = ic(db, "coleccionador", "Coleccionar");
        rets = ics(db, ret, "monedas", "Monedas");
        icami = amigos(db, ret, rets, "Juan Lopez", "09/11/1950");
        retdi = icdi(db, rets, "amazon", "Amazon", "http://www.amazon.es/s/ref=nb_sb_noss_2?__mk_es_ES=%C3%85M%C3%85%C5%BD%C3%95%C3%91&url=search-alias%3Daps&field-keywords=monedas");
        retdi = icdi(db, rets, "ebay", "ebay", "http://www.ebay.es/sch/i.html?_from=R40&_trksid=m570.l1313&_nkw=monedas&_sacat=0");
        retdi = icdi(db, rets, "elcorteingles", "El Corte Inglés", "https://www.elcorteingles.es/search/?s=monedas");
        rets = ics(db, ret, "sellos", "Sellos");
        icami = amigos(db, ret, rets, "Maria Jose", "12/11/1982");
        retdi = icdi(db, rets, "amazon", "Amazon", "http://www.amazon.es/gp/search/ref=sr_nr_n_15?fst=as%3Aoff&rh=n%3A1641885031%2Ck%3Acoleccionista&keywords=coleccionista&ie=UTF8&qid=1447612790&rnid=1703620031");
        retdi = icdi(db, rets, "ebay", "ebay", "http://www.ebay.es/sch/i.html?_from=R40&_trksid=m570.l1313&_nkw=sellos&_sacat=0");
        rets = ics(db, ret, "trenes", "Trenes");
        retdi = icdi(db, rets, "amazon", "Amazon", "http://www.amazon.es/s/ref=sr_nr_n_0?fst=as%3Aoff&rh=n%3A599385031%2Cn%3A5274651031%2Cn%3A1642062031%2Ck%3Atrenes&keywords=trenes&ie=UTF8&qid=1447612836&rnid=599386031");
        retdi = icdi(db, rets, "ebay", "ebay", "http://www.ebay.es/sch/i.html?_odkw=sellos&_osacat=0&_from=R40&_trksid=m570.l1313&_nkw=trenes&_sacat=0");
        retdi = icdi(db, rets, "elcorteingles", "El Corte Inglés", "http://www.elcorteingles.es/search/?s=trenes");
        rets = ics(db, ret, "coches", "Coches");
        retdi = icdi(db, rets, "amazon", "Amazon", "http://www.amazon.es/s/ref=sr_nr_n_0?fst=as%3Aoff&rh=n%3A599385031%2Cn%3A5274651031%2Cn%3A1642075031%2Ck%3Acoches&keywords=coches&ie=UTF8&qid=1447612905&rnid=599386031");
        retdi = icdi(db, rets, "ebay", "ebay", "http://www.ebay.es/sch/i.html?_odkw=sellos&_osacat=0&_from=R40&_trksid=m570.l1313&_nkw=coches+coleccion&_sacat=0");
        retdi = icdi(db, rets, "elcorteingles", "El Corte Inglés", "http://www.elcorteingles.es/search/?s=Coches");
        ret = ic(db, "deportextremo", "Deporte");
        rets = ics(db, ret, "correr", "Running");
        rets = ics(db, ret, "basketball", "Basketball");
        rets = ics(db, ret, "futbol", "Futbol");
        ret = ic(db, "fotografia", "Fotografia");
        rets = ics(db, ret, "accesorios", "Accesorios");
        ret = ic(db, "instrumentos", "Instrumentos musicales");
        rets = ics(db, ret, "violin", "Violin");
        rets = ics(db, ret, "piano", "Teclados");
        ret = ic(db, "videogames", "Video Games");
        rets = ics(db, ret, "videojuego", "Juegos");
        rets = ics(db, ret, "consolas", "Consolas");
        ret = ic (db, "voyage", "Viajar");
        rets = ics(db, ret, "playa", "Playa");
        rets = ics(db, ret, "montania", "Montaña");

        ret = ilocal(db, "Valencia","Aqua","Centro Comercial", -0.1720092,38.9705949);
        ret = ilocal(db, "Valencia","Colón", "Mercado de Colón", -0.295058, 38.867180);
        ret = ilocal(db, "Montevideo","Portones", "Portones Shpping", -34.881111, -56.081380);
        ret = ilocal(db, "Montevideo","Tienda", "Tienda Inglesa", -34.8845008, -56.0596275);
    }

    public Long ilocal (SQLiteDatabase db, String ciudad, String local, String localDesc, Double lat, Double lng) {
        ContentValues values = new ContentValues();
        values.put ("localCiudad",ciudad);
        values.put ("localNombre", local);
        values.put ("localDesc",localDesc);
        values.put ("localLat", lat);
        values.put ("localLng", lng);
        Long id = db.insert("locales",null, values);
        return (id);
    }

    public Long ic (SQLiteDatabase db, String foto, String nombre) {
        ContentValues values = new ContentValues();
        // values.put ("categoriaID", 1);
        values.put ("categoriaDesc", nombre);
        values.put ("categoriaFoto",foto);
        Long id = db.insert("categorias",null, values);
        return (id);
    }
    public Long ics (SQLiteDatabase db, Long ic, String foto, String nombre) {
        ContentValues values = new ContentValues();
        values.put ("categoriaID", ic);
        values.put ("subDesc", nombre);
        values.put ("subFoto",foto);
        Long id = db.insert("subcategoria",null, values);
        return (id);
    }
    public Long icdi (SQLiteDatabase db, Long ic, String dirLogo, String dirTipo, String dirURI) {
        ContentValues values = new ContentValues();
        values.put ("subcategoriaID", ic);
        values.put ("dirLogo",dirLogo);
        values.put ("dirTexto", dirTipo);
        values.put ("dirURI",dirURI);
        Long id = db.insert("dirinternet",null, values);
        return (id);
    }

    public Long amigos(SQLiteDatabase db, Long iccategoria, Long icsubcategoria, String nombre, String fecha) {
        ContentValues values = new ContentValues();
        values.put ("amigoNombre",nombre);
        values.put ("amigoCategoria", iccategoria);
        values.put ("amigoSubcategoria", icsubcategoria);
        values.put ("amigoFECHA", fecha);
        Long id = db.insert("amigos",null,values);
        return (id);
    }

}
