package org.example.perelloo_final;

import android.content.Context;
import android.database.Cursor;
import android.support.v4.widget.CursorAdapter;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import android.widget.ImageView;
import android.widget.TextView;


/**
 * Created by Potinara on 25/10/2015.
 */
public class ListaAdaptadorCategoria extends CursorAdapter {

    private LayoutInflater inflador;
    ImageView foto;
    TextView texto;

    public ListaAdaptadorCategoria(Context contexto, Cursor c) {
        super(contexto,c,false);
    }

    @Override
    public View newView(Context contexto, Cursor c, ViewGroup padre) {
        inflador = (LayoutInflater) contexto.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        View vista = inflador.inflate(R.layout.listacategoria_item,padre,false);
        return vista;
    }

    @Override
    public void bindView (View vista, Context contexto, Cursor c) {
        String fotoDesc;
        foto = (ImageView)  vista.findViewById(R.id.imagen_categoria);
        fotoDesc = c.getString(c.getColumnIndex("categoriaFoto"));
        foto.setTag(fotoDesc);
        texto= (TextView) vista.findViewById(R.id.nombre_categoria);
        texto.setText(c.getString(c.getColumnIndex("categoriaDesc")));
        texto.setTag(texto.getText());
        vista.setTag(c);  // guarda el puntero de la opcion en el tag
        int resourceId = contexto.getResources().getIdentifier(fotoDesc, "drawable", contexto.getPackageName());
        foto.setImageResource(resourceId);
    }
}