package org.example.perelloo_final;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.GridView;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

/**
 * Created by Potinara on 30/10/2015.

 */
public class ActividadSubCategoria extends Activity {

    private static DB_CategoriaHobby dbCategoria;
    android.support.v4.widget.CursorAdapter adaptadorSub;
    private static int categoria;
    String nombreHobby;
    static int posicionHobby;
    static Long claveHobby;
    int modalidad;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.subcategoria);
        // obtencion parametro
        Bundle extras = getIntent().getExtras();
        modalidad = extras.getInt("modalidad");
        claveHobby = extras.getLong("cursorHobby");
        nombreHobby = extras.getString("nombreHobby");
        // lectura datos de la coleccion
        dbCategoria = new DB_CategoriaHobby(this);

        TextView titulo_sub = (TextView) findViewById(R.id.nombre_subcategoria);
        titulo_sub.setText(nombreHobby);
        // presentacion del gridview de subcateorias
        GridView gridView = (GridView) findViewById(R.id.griditemSub    );
        adaptadorSub = new AdaptadorSubCategoria(this, cursor_subcategoria(), 0);
        gridView.setAdapter(adaptadorSub);

        gridView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            public void onItemClick(AdapterView<?> parent, View v,
                                    int position, long id) {
                TextView nombre = (TextView) v.findViewById(R.id.nombre_categoriaSub);
                tratar_gridViewSub(v, id);
            }
        });
    }

    public static Cursor cursor_subcategoria() {
        SQLiteDatabase db = dbCategoria.getReadableDatabase();
        Cursor rc = db.rawQuery("SELECT * FROM subcategoria WHERE categoriaID = ? ",new String[]{String.valueOf(claveHobby)});
        return rc;
    }

    public void tratar_gridViewSub(View v, long id) {
        String sprueba;
        TextView nombre = (TextView) v.findViewById(R.id.nombre_categoriaSub);
        sprueba = nombreHobby;
        if (sprueba.equals("Coleccionar")) {
        } else {
            mensajePrueba();
            return;
        }
        if (modalidad == 1) {
            Intent intent = new Intent(this, OpcionCompra.class);
            intent.putExtra("ID",id);
            intent.putExtra("posicionSubcategoria", id);
            intent.putExtra("nombreSubcategoria", (String) nombre.getText());
            setResult(RESULT_OK, intent);
            finish();

        }
        else {
            Intent intent = new Intent(this, OpcionCompra.class);
            intent.putExtra("nombreHobby", nombreHobby);
            intent.putExtra("posicionSubcategoria", id);
            intent.putExtra("ID",id);
            intent.putExtra("nombreSubcategoria", (String) nombre.getText());
            ImageView iv = (ImageView) v.findViewById(R.id.imagen_categoriaSub);
            intent.putExtra("fotoHobby", (String) iv.getTag());
            startActivity(intent);
        }
    }

    public void mensajePrueba () {
        AlertDialog.Builder msgB = new AlertDialog.Builder(this);
        msgB.setTitle("Aviso Importante");
        msgB.setMessage(R.string.msgprueba);
        msgB.setPositiveButton("Ok", null);
        AlertDialog msg = msgB.create();
        msg.show();
    }
}