package org.example.perelloo_final;

import android.content.Context;
import android.database.Cursor;
import android.support.v4.widget.CursorAdapter;
import android.text.format.DateFormat;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.BaseAdapter;
import android.widget.ImageView;
import android.widget.TextView;

import java.sql.Date;
import java.text.SimpleDateFormat;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.GregorianCalendar;

/**
 * Created by Potinara on 09/11/2015.
 */
public class AdaptadorAmigos extends CursorAdapter {

    private LayoutInflater inflador;
    TextView texto;
    TextView fechaD;
    TextView categoria;
    TextView subcategoria;

    public AdaptadorAmigos(Context contexto,Cursor c, int flags ) {
        super(contexto,c ,false);
        inflador = (LayoutInflater) contexto.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
    }

    public View newView(Context contexto, Cursor c, ViewGroup padre) {
        View vista = inflador.inflate(R.layout.amigos_layout_item, padre, false);
        return vista;
    }

    @Override
    public void bindView(View vista, Context contexto, Cursor c) {
        String textoDesc;
        Long id;

        texto = (TextView) vista.findViewById(R.id.nombreAmigo);
        fechaD = (TextView) vista.findViewById(R.id.dateAmigo);
        categoria = (TextView) vista.findViewById(R.id.categoriaAmigo);
        subcategoria = (TextView) vista.findViewById(R.id.subcategoriaAmigo);
        // carga de los datos
        texto.setText(c.getString(c.getColumnIndex("amigoNombre")));
        fechaD.setText(c.getString(c.getColumnIndex("amigoFECHA")));
        //
        id = c.getLong(c.getColumnIndex("amigoCategoria"));
        textoDesc = MostrarAmigos.readCategoria(id);
        categoria.setText(textoDesc);  // amigoCategoria
        categoria.setTag(id);
        texto.setTag(textoDesc);
        textoDesc = MostrarAmigos.readSubcategoria(c.getLong(c.getColumnIndex("amigoSubcategoria")));
        subcategoria.setText(textoDesc); // amigoSubcategoria
        subcategoria.setTag(id);
        fechaD.setTag(textoDesc);
        //

    }


}
