package org.example.perelloo_final;

import android.content.Context;
import android.database.Cursor;
import android.support.v4.widget.CursorAdapter;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

/**
 * Created by Potinara on 08/11/2015.
 */
public class AdaptadorCompraInternet extends CursorAdapter {

    private LayoutInflater inflador;
    ImageView foto;
    TextView texto;

    public AdaptadorCompraInternet(Context contexto, Cursor c, int flags) {
        super(contexto,c,false);
    }

    @Override
    public View newView(Context contexto, Cursor c, ViewGroup padre) {
        inflador = (LayoutInflater) contexto.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        View vista = inflador.inflate(R.layout.elementocomprainternet,padre,false);
        return vista;
    }
    @Override
    public void bindView (View vista, Context contexto, Cursor c) {
        String fotoDesc;
        foto = (ImageView)  vista.findViewById(R.id.imagenInternet);
        fotoDesc = c.getString(c.getColumnIndex("dirLogo"));
        int resourceId = contexto.getResources().getIdentifier(fotoDesc, "drawable", contexto.getPackageName());
        foto.setImageResource(resourceId);
        texto= (TextView) vista.findViewById(R.id.textoInternet);
        texto.setText(c.getString(c.getColumnIndex("dirTexto")));
        texto.setTag(c.getString(c.getColumnIndex("dirURI")));
    }
}
