package org.example.perelloo_final;

import android.content.Context;
import android.database.Cursor;
import android.os.Bundle;
import android.support.v4.widget.CursorAdapter;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.ImageView;
import android.widget.TextView;

/**
 * Created by Potinara on 30/10/2015.
 */
public class AdaptadorSubCategoria extends CursorAdapter {

    private LayoutInflater inflador;
    ImageView foto;
    TextView texto;

    public AdaptadorSubCategoria(Context contexto, Cursor c, int flags ) {
        super(contexto,c,false);
    }

    @Override
    public View newView(Context contexto, Cursor c, ViewGroup padre) {
        inflador = (LayoutInflater) contexto.getSystemService(Context.LAYOUT_INFLATER_SERVICE);
        View vista = inflador.inflate(R.layout.subcategoria_item,padre,false);
        return vista;
    }

    @Override
    public void bindView (View vista, Context contexto, Cursor c) {
        String fotoDesc;
        foto = (ImageView)  vista.findViewById(R.id.imagen_categoriaSub);
        fotoDesc = c.getString(c.getColumnIndex("subFoto"));
        foto.setTag(fotoDesc);
        texto= (TextView) vista.findViewById(R.id.nombre_categoriaSub);
        texto.setText(c.getString(c.getColumnIndex("subDesc")));
        texto.setTag(texto.getText());
        int resourceId = contexto.getResources().getIdentifier(fotoDesc, "drawable", contexto.getPackageName());
        foto.setImageResource(resourceId);
    }
}
