package org.example.perelloo_final;


import android.app.Activity;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.Bundle;

import android.support.v7.app.ActionBarActivity;
import android.view.View;
import android.widget.AdapterView;
import android.support.v4.widget.CursorAdapter;
import android.widget.GridView;
import android.widget.TextView;

/**
 * Created by Potinara on 11/11/2015.
 */
public class ListaCategoria extends ActionBarActivity {

    private static DB_CategoriaHobby dbCategoria;
    CursorAdapter adaptador;
    Long idcat;
    Long idsub;
    String nombreSub;
    String nombreCat;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.listacategoriahobby);

        dbCategoria = new DB_CategoriaHobby(this);

        GridView gridView = (GridView)findViewById(R.id.listagriditem);
        adaptador = new ListaAdaptadorCategoria(this, listacursor_categoria());
        gridView.setAdapter(adaptador);
        gridView.setOnItemClickListener(new AdapterView.OnItemClickListener() {
            public void onItemClick(AdapterView<?> parent, View v,
                                    int position, long id) {
                listatratar_gridView(v, id);
            }
        });
    }

    public void listatratar_gridView( View v, long id) {
        Intent intent = new Intent(this,ActividadSubCategoria.class);
        intent.putExtra("modalidad",1);
        intent.putExtra("cursorHobby",id);
        idcat=id;
        TextView texto = (TextView) v.findViewById(R.id.nombre_categoria);
        nombreCat = (String) texto.getText();
        intent.putExtra("nombreHobby", texto.getText());
        startActivityForResult(intent, 1234);
    }

    @Override
    protected void onActivityResult (int requestCode, int resultCode, Intent data) {
        if (requestCode == 1234 && resultCode == RESULT_OK ) {
            idsub = data.getExtras().getLong("posicionSubcategoria");
            nombreSub = data.getExtras().getString("nombreSubcategoria");
        }
        Intent intent = new Intent();
        intent.putExtra("categoria",nombreCat);
        intent.putExtra("subcategoria",nombreSub);
        intent.putExtra("IDsubcategoria",idsub);
        intent.putExtra("IDcategoria",idcat);
        setResult(RESULT_OK,intent);
        finish();
    }


    public static Cursor listacursor_categoria() {
        SQLiteDatabase db = dbCategoria.getReadableDatabase();
        Cursor rc = db.rawQuery("SELECT * FROM categorias",null);
        return rc;
    }



}
