package org.example.perelloo_final;

import android.app.Notification;
import android.app.NotificationManager;
import android.app.PendingIntent;
import android.app.Service;
import android.content.Context;
import android.content.Intent;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;
import android.os.IBinder;
import android.support.v4.app.NotificationCompat;

import java.sql.Date;
import java.util.Calendar;
import java.util.GregorianCalendar;
import java.util.TimeZone;

/**
 * Created by Potinara on 11/11/2015.
 */

public class ServicioControlFecha extends Service {

    private static DB_CategoriaHobby dbCategoria;
    private static final int ID_NOTIFICACION_CREAR=1;

    @Override
    public void onCreate() {

    }

    @Override
    public int onStartCommand(Intent intento, int flags, int idArranque) {
        String Fecha;
        String MMDD;
        int fechaActual;
        int Fechammdd;
        int lapso=2;
        long ii;
        long idamigo;
        String nombre;
        Calendar cal = Calendar.getInstance(TimeZone.getDefault());
        int mmactual = cal.get(Calendar.MONTH);
        int diactual= cal.get(Calendar.DAY_OF_MONTH);
        fechaActual = mmactual*12 + diactual;
        dbCategoria = new DB_CategoriaHobby(this);
        SQLiteDatabase db = dbCategoria.getReadableDatabase();
        Cursor rc = db.rawQuery("SELECT * FROM amigos", null);
        if (rc != null) {
            nombre="";
            while (rc.moveToNext()) {
                Fecha= rc.getString(rc.getColumnIndex("amigoFECHA"));
                if (compararfecha(Fecha,fechaActual,lapso)) {
                    ii = rc.getLong(rc.getColumnIndex("_id"));
                    nombre = rc.getString(rc.getColumnIndex("amigoNombre"));
                    idamigo = rc.getLong(rc.getColumnIndex("amigoSubcategoria"));
                    lanzar_notificacion(ii, nombre, Fecha,idamigo);
                    stopSelf();
                    break;
                }
            }
        }
        rc.close();
        db.close();
        dbCategoria.close();
        return START_STICKY;
    };

    public boolean compararfecha (String Fecha, int fechaActual, int lapso ) {
        int Fechammdd;
        int index1 = Fecha.indexOf('/');
        int index2 = Fecha.lastIndexOf('/');
        Fechammdd = Integer.parseInt(Fecha.substring(index1+1,index2))*12 + Integer.parseInt(Fecha.substring(0,index1));
        if (Fechammdd > (fechaActual - lapso)) {
            return true;
        } else {
            return false;
        }
    }

    public void lanzar_notificacion(long id, String nombre, String Fecha, long idamigo) {
        NotificationCompat.Builder notifi  = new NotificationCompat.Builder(this);
        notifi.setContentTitle("HobbyGift ");
        notifi.setSmallIcon(R.drawable.icongift);
        notifi.setContentText("Amigo en un dia especial ");
        notifi.setContentInfo("mas info");

        //

        Intent intento = new Intent(this,OpcionCompra.class);
        intento.putExtra("modalidad",2);
        intento.putExtra("nombreHobby",nombre);
        intento.putExtra("nombreSubcategoria", Fecha);
        intento.putExtra("fotoHobby","NNN");
        intento.putExtra("ID",id);
        //intento.putExtra("idamigo",idamigo);
        PendingIntent intencionPendiente = PendingIntent.getActivity(this,0,intento,0);
        notifi.setContentIntent(intencionPendiente);
        //
        NotificationManager notificationManager = (NotificationManager) getSystemService(Context.NOTIFICATION_SERVICE);
        notificationManager.notify(ID_NOTIFICACION_CREAR,notifi.build());
    }

    @Override
    public void onDestroy() {
     //   NotificationManager notific = (NotificationManager) getSystemService(Context.NOTIFICATION_SERVICE);
     //   notific.cancel(ID_NOTIFICACION_CREAR);
    }

    @Override
    public IBinder onBind(Intent intencion) {
        return null;
    }
}
